summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 5bdd098)
raw | patch | inline | side by side (parent: 5bdd098)
author | cajus <cajus@594d385d-05f5-0310-b6e9-bd551577e9d8> | |
Tue, 11 Dec 2007 15:01:34 +0000 (15:01 +0000) | ||
committer | cajus <cajus@594d385d-05f5-0310-b6e9-bd551577e9d8> | |
Tue, 11 Dec 2007 15:01:34 +0000 (15:01 +0000) |
git-svn-id: https://oss.gonicus.de/repositories/gosa/trunk@8087 594d385d-05f5-0310-b6e9-bd551577e9d8
contrib/daemon/debian/gosa-si-server.init | patch | blob | history |
index 89af914cca078b0b29daf1392c372e69e8de801e..26fb1cbcfa458fc60ef233fee6647412ab89a96f 100755 (executable)
# Start/stop the GOsa support daemon infrastructure.
#
### BEGIN INIT INFO
-# Provides: gosa-sd
+# Provides: gosa-si
# Required-Start: $syslog $time
# Required-Stop: $syslog $time
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: GOsa message bus and server component
-# Description: gosa-sd establishes the communication between a couple of
+# Description: gosa-si establishes the communication between a couple of
# GOsa hosting servers and optionally clients to do event
# signaling for all communication partners.
### END INIT INFO
# Sanity checks
-test -f /usr/sbin/gosa-sd || exit 0
-test -f /usr/sbin/gosa-sd-bus || exit 0
+test -f /usr/sbin/gosa-si-server || exit 0
+test -f /usr/sbin/gosa-si-bus || exit 0
# Load defaults
START_BUS=0
start_bus() {
- start-stop-daemon --start --quiet --pidfile /var/run/gosa-sd-bus.pid --name gosa-sd-bus --startas /usr/sbin/gosa-sd-bus
+ start-stop-daemon --start --quiet --pidfile /var/run/gosa-si-bus.pid --name gosa-si-bus --startas /usr/sbin/gosa-si-bus
}
-start_daemon() {
- start-stop-daemon --start --quiet --pidfile /var/run/gosa-sd.pid --name gosa-sd --startas /usr/sbin/gosa-sd -- $1
+start_server() {
+ start-stop-daemon --start --quiet --pidfile /var/run/gosa-si-server.pid --name gosa-si-server --startas /usr/sbin/gosa-si-server -- $1
}
stop_bus() {
- start-stop-daemon --stop --retry 5 --quiet --pidfile /var/run/gosa-sd-bus.pid --name gosa-sd-bus
+ start-stop-daemon --stop --retry 5 --quiet --pidfile /var/run/gosa-si-bus.pid --name gosa-si-bus
}
-stop_daemon() {
- start-stop-daemon --stop --retry 5 --quiet --pidfile /var/run/gosa-sd.pid --name gosa-sd
+stop_server() {
+ start-stop-daemon --stop --retry 5 --quiet --pidfile /var/run/gosa-si-server.pid --name gosa-si-server
}
log_progress_msg "bus"
start_bus
log_progress_msg "daemon"
- start_daemon
+ start_server
else
log_progress_msg "daemon"
- start_daemon --no-bus
+ start_server --no-bus
fi
log_end_msg $?
;;
stop) log_daemon_msg "Stopping GOsa support infrastructure"
if [ "$START_BUS" == "1" ]; then
log_progress_msg "daemon"
- stop_daemon
+ stop_server
log_progress_msg "bus"
stop_bus
else
log_progress_msg "daemon"
- stop_daemon
+ stop_server
fi
log_end_msg $?
;;
reload|force-reload|restart) log_daemon_msg "Restarting GOsa support infrastructure"
if [ "$START_BUS" == "1" ]; then
- stop_daemon
+ stop_server
stop_bus
start_bus
- start_daemon --no-bus
+ start_server --no-bus
log_progress_msg "done"
else
- stop_daemon
- start_daemon --no-bus
+ stop_server
+ start_server --no-bus
log_progress_msg "done"
fi
log_end_msg $?
;;
-*) log_action_msg "Usage: /etc/init.d/gosa-sd {start|stop|restart|reload|force-reload}"
+*) log_action_msg "Usage: /etc/init.d/gosa-si {start|stop|restart|reload|force-reload}"
exit 2
;;
esac